package sway

// GetBarIDs returns a string array containing the IDs of all sway bars
func (c *Client) GetBarIDs() ([]string, error) {
	return sendMessage[[]string](c, 6, "")
}

// GetBarConfig returns the configuration for the given bar id
func (c *Client) GetBarConfig(barID string) (*BarConfig, error) {
	return sendMessage[*BarConfig](c, 6, barID)
}
